Subject: Re: bug#19466: 25.0.50; xref-find-def doesn't find C functions

From: martin rudalics <[email-masked]>
Date: Thu, 22 Jan 2015 19:22:40 +0100

>>>>> Debugger entered--Lisp error: (args-out-of-range "" 0)
 >>>>>     help-function-arglist(#[257 "\300\207" ["(No location)"] 2 "(No
 >>>>> location)\n\n(fn ##)"] preserve-names)
 >>>>>     eieio--defmethod(xref-location-group nil xref-bogus-location #[257
 >>>>> "\300\207" ["(No location)"] 2 "(No location)\n\n(fn ##)"])
 >>>> I'm sure Someone(tm) will fix that right away. :)
 >
 > Sorry, I missed this.  When/how do you get this error?

Never mind.  You fixed it already ;-)

 > There are two problems here:
 > 1- The warnings fail to include the "xref.el:<lineno>: " prefix.
 >     Haven't figured out why yet.  If someone wants to help fix this, he'd
 >     be very welcome.  The problem seems to happen only when
 >     macroexp--warn-and-return is used on a toplevel form (aka
 >     "file-form").  The warnings themselves are otherwise correct (and
 >     "harmless").
 > 2- xref.el (just like pretty much all existing code using EIEIO) uses
 >     obsolete macros, indeed.  This is easy to fix.

These have been fixed as well.

Thanks, martin